Package org.drinkless.tdlib

# Class TdApi.UnconfirmedSession

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.UnconfirmedSession

Enclosing class:
  `TdApi`

public static class TdApi.UnconfirmedSession extends TdApi.Object
Contains information about an unconfirmed session.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `deviceModel`
  Model of the device that was used for the session creation, as provided by the application.
  `long`
  `id`
  Session identifier.
  `String`
  `location`
  A human-readable description of the location from which the session was created, based on the IP address.
  `int`
  `logInDate`
  Point in time (Unix timestamp) when the user has logged in.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnconfirmedSession()`
  Contains information about an unconfirmed session.
  `UnconfirmedSession(long id, int logInDate, String deviceModel, String location)`
  Contains information about an unconfirmed session.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public long id
    Session identifier.

  - ### logInDate

    public int logInDate
    Point in time (Unix timestamp) when the user has logged in.

  - ### deviceModel

    public String deviceModel
    Model of the device that was used for the session creation, as provided by the application.

  - ### location

    public String location
    A human-readable description of the location from which the session was created, based on the IP address.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UnconfirmedSession

    public UnconfirmedSession()
    Contains information about an unconfirmed session.

  - ### UnconfirmedSession

    public UnconfirmedSession(long id, int logInDate, String deviceModel, String location)
    Contains information about an unconfirmed session.
    Parameters:
      `id` - Session identifier.
      `logInDate` - Point in time (Unix timestamp) when the user has logged in.
      `deviceModel` - Model of the device that was used for the session creation, as provided by the application.
      `location` - A human-readable description of the location from which the session was created, based on the IP address.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR